using System;
using System.Data;
using System.Data.SqlClient;
using System.Data.SqlTypes;
using System.Xml;
using System.Reflection;
using System.Configuration;
using ESpace.DALibrary.SqlServer;
using ESpace.DALibrary;

namespace AVC.Passport.DataAccess
{
	public class RightsTypeDelete : DataAccessBase
	{
		public RightsTypeDelete()
		{
			base.EncryptMethod = Alogrim.SymmProvEnum.DES;
			base.Key = "1234";
			base.IV = "1234";
			ConnectionString = ConfigurationManager.AppSettings["Passport"];
			base.InitCommand("[dbo].[RightsTypeDelete]");
			ConfigParameter();
		}

		private SqlParameter paramTypeID;
		public System.Int32 TypeID
		{
			get
			{
				return (System.Int32)paramTypeID.Value;
			}
			set
			{
				paramTypeID.Value = value;
			}
		}

		public void ConfigParameter()
		{
			//--------------------------------------------------------
			paramTypeID = new SqlParameter();
			paramTypeID.ParameterName = "@TypeID";
			paramTypeID.SqlDbType = SqlDbType.Int;
			paramTypeID.Precision = 10;
			paramTypeID.Scale = 0;
			paramTypeID.Direction = ParameterDirection.Input;
			paramTypeID.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramTypeID);
		}
	}
}